/**-----------------------------------------------------------------------------

	@file		sndio_Resampler.h
	@author		tetsu
	@par		[]
				TvO(J)

				Copyright (c)2010 Nintendo All rights reserved.

----------------------------------------------------------------------------- */

#ifndef SNDIO_RESAMPLER_H
#define SNDIO_RESAMPLER_H


#include <nn/types.h>


////////////////////////////////////////////////////////////////////////////////
// TvONX`
////////////////////////////////////////////////////////////////////////////////

namespace sndio { namespace detail {


//! TvONX
class Resampler
{
public:
	static const int RES_INIT = -1;

	//! RXgN^
	Resampler();

	//! 
	void Init();

	//! TvOs
	void Resample( s16* outp, s32 outs, const s16* inp, s32 ins );

private:
	s16		samplestate[16];
	u16		phasestate;
	u16		_pad;
	s32		flag;
};


}}


#endif // SNDIO_RESAMPLER_H
