/**-----------------------------------------------------------------------------

	@file		sndio_Util.h
	@author		tetsu
	@par		[]
				[eBeB֘A(J)

				Copyright (c)2010 Nintendo All rights reserved.

----------------------------------------------------------------------------- */

#ifndef SNDIO_UTIL_H
#define SNDIO_UTIL_H

#include <wchar.h>
#include <nn/types.h>
#include <nn/fs.h>
#include <nn/dbg.h>
#include "sndio_Result.h"
#include "sndio_VoiceExtendTag.h"


namespace sndio { namespace detail {


/**-----------------------------------------------------------------------------

	@brief		J

----------------------------------------------------------------------------- */
template <typename T>
static inline void SafeFree( nn::fnd::IAllocator* allocator, T*& p )
{
	if (allocator && p)
	{
		allocator->Free( p );
		p = NULL;
	}
}


/**-----------------------------------------------------------------------------

	@brief		FSñUgCupUgɕϊ

----------------------------------------------------------------------------- */
Result GetFsWholeError( nn::Result result );


/**-----------------------------------------------------------------------------

	@brief		R[hϊ
	@return		Ȃ
	@par		[]
				UTF16֕ϊ

----------------------------------------------------------------------------- */
void Convert2UTF16LE( u8* pDst, const u8* pSrc, u32* pLength );


}}


#endif // SNDIO_UTIL_H
